#
# spec file for package saint (Version 3.5.5)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  bind finger iputils lukemftp mailx mozilla nfs-server nmap rstatd rusers samba samba-client sharutils tftp x-devel-packages yp-tools ypbind
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake bind binutils cracklib finger fontconfig fontconfig-devel gcc gdbm gettext iputils libsmbclient libsmbclient-devel libtool lukemftp mailx mozilla nfs-server nmap perl rpm rstatd rusers samba samba-client sharutils tftp yp-tools ypbind

Name:         saint
License:      GPL
Group:        Productivity/Networking/Security
Requires:     web_browser
Autoreqprov:  on
Version:      3.5.5
Release:      94
Summary:      Tool to Assess the Security of Computer Networks
URL:          http://www.wwdsi.com/saint/
Source0:      %{name}-%{version}.tar.gz
Source1:      %{name}-%{version}.tar.gz.sig
Source2:      LICENSE
Patch0:       %{name}-%{version}.diff
Patch1:       %{name}-%{version}-web_browser.diff
Patch2:       %{name}-%{version}-multiline.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
PreReq:       /bin/rm

%description
The "Security Administrator's Integrated Network Tool" is designed to
assess the security of computer networks. Built upon SATAN, SAINT is an
improved version of that product.



%prep
%setup -q
%patch0
%patch1
%patch2
cp %{S:2} .

%build
%{suse_update_config}
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS -Wall -Wno-unused" \
	./configure \
	--sysconfdir=%{_sysconfdir} \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{var/lib/saint/saint-data,usr/{lib/saint,sbin}}
cp -a html bin config perl perllib rules scripts $RPM_BUILD_ROOT/usr/lib/saint
chmod -R o-rwx $RPM_BUILD_ROOT/{usr/lib/saint,var/lib/saint}
chmod -R g-w   $RPM_BUILD_ROOT/{usr/lib/saint,var/lib/saint}
install -m 750 saint $RPM_BUILD_ROOT/usr/lib/saint/
install -m 750 saint.bin $RPM_BUILD_ROOT/usr/sbin/saint
chmod 750 $RPM_BUILD_ROOT/usr/sbin/saint

%clean
rm -rf $RPM_BUILD_ROOT

%preun
rm -f /usr/lib/saint/html/saint.html
rm -f /usr/lib/saint/html/saint_documentation.html

%files
%defattr(-,root,root)
%doc LICENSE CHANGES README READMEs/ html/
%{_prefix}/lib/saint
%{_prefix}/sbin/saint
/var/lib/saint

%changelog -n saint
* Fri Oct 31 2003 - mjancar@suse.cz
- fix package build (#32796)
* Thu Aug 21 2003 - lmuelle@suse.de
- rename bind9 to bind in neededforbuild
* Fri Jul 25 2003 - mjancar@suse.cz
- update to 3.5.5
* Wed Mar 12 2003 - ro@suse.de
- use bind9 instead of bind8 in neededforbuild
* Tue Nov 12 2002 - jderfina@suse.cz
- Removed multiline strings.
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Wed Mar 13 2002 - pmladek@suse.cz
- fixed to start when the default browser isn't installed
* Fri Jan 18 2002 - cihlar@suse.cz
- update to version 3.4.2
* Wed Dec 05 2001 - cihlar@suse.cz
- update to version 3.3.9:
  * added many new checks
* Fri Aug 03 2001 - cihlar@suse.cz
- fixed start script to enable parameters
* Wed Aug 01 2001 - cihlar@suse.cz
- update to version 3.2.3
* Mon Jun 11 2001 - cihlar@suse.cz
- fixed prefix
* Tue Apr 10 2001 - cihlar@suse.cz
- update to version 3.1.3
* Tue Mar 20 2001 - cihlar@suse.cz
- fixed to compile on ia64
* Wed Feb 28 2001 - cihlar@suse.cz
- added patch for kernel 2.4
* Tue Feb 27 2001 - cihlar@suse.cz
- update to version 3.1.2
* Sun Dec 03 2000 - smid@suse.cz
- new version 3.1
* Thu Nov 30 2000 - ro@suse.de
- updated neededforbuild
* Wed Nov 22 2000 - ro@suse.de
- remove private includes / use glibc
* Sat Oct 28 2000 - kukuk@suse.de
- Fix need for build
* Tue Sep 05 2000 - ro@suse.de
- fixed requires (perl is automatic, web_browser is meta for browsers)
* Tue Jul 11 2000 - mha@suse.de
- update to 2.1.1
* Fri May 05 2000 - nadvornik@suse.cz
- update to 2.0.1
- added BuildRoot
- added URL, changed Group
* Thu Mar 23 2000 - ro@suse.de
- fixed preprocessor macros for archs
* Tue Mar 21 2000 - mha@suse.de
- new version: 2.0
* Mon Feb 21 2000 - mha@suse.de
- removed 'netscape' from neededforbuild list
* Mon Feb 14 2000 - mha@suse.de
- new version: 1.5 (incl. patch 1)
* Wed Dec 29 1999 - mha@suse.de
- new version: 1.4.1
  seems to have a lot of small usability bugs fixed that made
  live unnecessarily hard
* Thu Nov 04 1999 - uli@suse.de
- fixed saint.cf
- changed struct of dif to ease maintenance (using pkgmake)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Sep 06 1999 - mha@suse.de
- new version: 1.4-stable
- new directory structure: runtime data into /var/saint
* Mon Aug 30 1999 - ro@suse.de
- fixed to compile on alpha
* Sun Jul 11 1999 - mha@suse.de
- new package: SAINT (security scanner based on SATAN)
